<?php
$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_d162ad33b44d275ccc6e4" . "b5280b618df" => base64_decode("bWV" . "0YV" . "90Z" . "Xh0"), "_31767d7ad58e706dbf47" . "b7a51a0fe6c4" => base64_decode("Y291bn" . "Q="), "_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG1zZw" . "=="), "_80be54d4bf79b1f177a6b45" . "55ae15ab7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5kZWZpbmVkIG1ldGEgZmllb" . "GQgSUQ="), "_2d4b5f427d48c3244c2f195479a6ced" . "7" => base64_decode("Y29tbW9uLm1ldGFkYXRhLmJsYW5rX3Zh" . "bHVlcw=="), "_516340c618" . "ee12b8bfb13" . "b0d280f269f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsdWVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZWxkX2lkIE9SREVSIEJZIG1ldGFfdmFsd" . "WU="), "_2d71c655f2a62b5d8b25dbf8" . "acf952fd" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZpbmVkIG1ldGEgZmll" . "bGQgSUQ="), "_7f628626dd1d55c71b1fc093" . "2ffd1d2c" => base64_decode("aXNfYXJyYX" . "k="), "_e2e36e1c2215f2613" . "68b20d15740847e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfd" . "mFsdWUsbWV0YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkLGludDprZXksIHN0cjp2YW" . "wp"), "_4079816faf0560c68" . "77e40230b8b965f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgV0hFUkUgbWV0YWRhdGFfaWQ9aW50Om1ld" . "GFfZmllbGRfaWQ="), "_0926ec1594f04" . "8b9fe0aa9aa05b" . "9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVbmRlZmluZWQgbWV0YS" . "BmaWVsZCBJRA=="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_2d71c655f2a62b5" . "d8b25dbf8acf952f" . "d"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_516340c618ee1" . "2b8bfb13b0d280" . "f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d162ad33b44d275ccc6e4b5" . "280b618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_80be54d4bf79b1f1" . "77a6b4555ae15ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e2e36e1c2215f261368b" . "20d15740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0926ec1594f0" . "48b9fe0aa9aa0" . "5b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4079816faf056" . "0c6877e40230b8" . "b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7f628626dd1d55c71" . "b1fc0932ffd1d2c"]($values) || $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_31767d7ad58e706dbf47b7a51a" . "0fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2d4b5f427d48c3244c" . "2f195479a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7f628626dd1d55c71b1fc0932" . "ffd1d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}